### UML game.js

```mermaid
classDiagram
 class bullet {
    +x
    +y
    +shot
    +angle
    +bulletHit
    +direction
    +directionX
    +direcitonY
    +hasMoved
    +projectile
    +radius
    +targetx
    +targety
    +speed
    -hit
    -shot
    -isOffScreen
    -originalPos
    -targetx
    -targety
    +draw()
    +update(targetx, targety)
 }
    class Menu {
      +controlsImage
      +clearDataOnce
      +scorescreenOn
      +keyReleasedFlag
      +dataIsCalled
      +requesteddata
      +isDead
      +iIndex
      +currentIndex
      +Height
      +Width
      +homescreen()
      +pauseMenu()
      +gameOver()
      +scoreMenu()
      +dodgeBanner()
    }
      class Database {
         +requesteddata
         -data
         -response
         +sendData()
         +getData()
      }
      class Button {
         button()
      }
      Menu --> Database
      Menu --> Button
```